<template>
  <div id="app">
    <headerNav :username="uname" @quit="quit"></headerNav>
    <router-view @chuanzhi="chuanzhi" :isquit="isquit"></router-view>
  </div>
</template>

<script>
import headerNav from "./components/header-nav"
export default {
  name: 'App',
  data(){
  	return{
  		uname:"",
  		isquit:true
  	}
  },
  components:{
  	headerNav
  },
  mounted(){
  	
  },
  methods:{
  	chuanzhi(data){
  		this.uname=data
  		this.isquit=false
  	},
  	quit(){
  		this.uname=""
  		this.isquit=true
  	}
  }
}
</script>

<style>
#app {
  background-color: #f5f8ff;
}
</style>
